# OnnxRuntime: Ort::RunOptions Struct Reference

Loading...
Searching...
No Matches
Ort::RunOptions Struct Reference

RunOptions. More...

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::RunOptions:

## Public Member Functions

| RunOptions (std::nullptr_t)
| Create an empty RunOptions object, must be assigned a valid one to be used.
| RunOptions ()
| Wraps OrtApi::CreateRunOptions.
RunOptions & | SetRunLogVerbosityLevel (int)
| Wraps OrtApi::RunOptionsSetRunLogVerbosityLevel.
int | GetRunLogVerbosityLevel () const
| Wraps OrtApi::RunOptionsGetRunLogVerbosityLevel.
RunOptions & | SetRunLogSeverityLevel (int)
| Wraps OrtApi::RunOptionsSetRunLogSeverityLevel.
int | GetRunLogSeverityLevel () const
| Wraps OrtApi::RunOptionsGetRunLogSeverityLevel.
RunOptions & | SetRunTag (const char *run_tag)
| wraps OrtApi::RunOptionsSetRunTag
const char * | GetRunTag () const
| Wraps OrtApi::RunOptionsGetRunTag.
RunOptions & | AddConfigEntry (const char *config_key, const char *config_value)
| Wraps OrtApi::AddRunConfigEntry.
RunOptions & | SetTerminate ()
| Terminates all currently executing Session::Run calls that were made using this RunOptions instance.
RunOptions & | UnsetTerminate ()
| Clears the terminate flag so this RunOptions instance can be used in a new Session::Run call without it instantly terminating.
Public Member Functions inherited from Ort::detail::Base< OrtRunOptions >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| Base (const Base &)=delete
| Base (Base &&v) noexcept
| ~Base ()
Base & | operator= (const Base &)=delete
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Public Types inherited from Ort::detail::Base< OrtRunOptions >
using | contained_type = OrtRunOptions
Protected Attributes inherited from Ort::detail::Base< OrtRunOptions >
contained_type * | p_

## Detailed Description

RunOptions.

## Constructor & Destructor Documentation

## RunOptions() [1/2]

Ort::RunOptions::RunOptions | ( | std::nullptr_t |  | ) |

inlineexplicit

Create an empty RunOptions object, must be assigned a valid one to be used.

## RunOptions() [2/2]

Ort::RunOptions::RunOptions | ( |  | ) |

Wraps OrtApi::CreateRunOptions.

## Member Function Documentation

## AddConfigEntry()

RunOptions & Ort::RunOptions::AddConfigEntry | ( | const char * | config_key,
|  | const char * | config_value
| ) |  |

Wraps OrtApi::AddRunConfigEntry.

## GetRunLogSeverityLevel()

int Ort::RunOptions::GetRunLogSeverityLevel | ( |  | ) | const

Wraps OrtApi::RunOptionsGetRunLogSeverityLevel.

## GetRunLogVerbosityLevel()

int Ort::RunOptions::GetRunLogVerbosityLevel | ( |  | ) | const

Wraps OrtApi::RunOptionsGetRunLogVerbosityLevel.

## GetRunTag()

const char * Ort::RunOptions::GetRunTag | ( |  | ) | const

Wraps OrtApi::RunOptionsGetRunTag.

## SetRunLogSeverityLevel()

RunOptions & Ort::RunOptions::SetRunLogSeverityLevel | ( | int |  | ) |

Wraps OrtApi::RunOptionsSetRunLogSeverityLevel.

## SetRunLogVerbosityLevel()

RunOptions & Ort::RunOptions::SetRunLogVerbosityLevel | ( | int |  | ) |

Wraps OrtApi::RunOptionsSetRunLogVerbosityLevel.

## SetRunTag()

RunOptions & Ort::RunOptions::SetRunTag | ( | const char * | run_tag | ) |

wraps OrtApi::RunOptionsSetRunTag

## SetTerminate()

RunOptions & Ort::RunOptions::SetTerminate | ( |  | ) |

Terminates all currently executing Session::Run calls that were made using this RunOptions instance.

If a currently executing session needs to be force terminated, this can be called from another thread to force it to fail with an error Wraps OrtApi::RunOptionsSetTerminate

## UnsetTerminate()

RunOptions & Ort::RunOptions::UnsetTerminate | ( |  | ) |

Clears the terminate flag so this RunOptions instance can be used in a new Session::Run call without it instantly terminating.

Wraps OrtApi::RunOptionsUnsetTerminate